/* DisplayRows.c	Copyright (c) 1988 Doug Houck

NAME		DisplayRows	- get system's idea of lo-res screen height

SYNOPSIS	rows = DisplayRows();

FUNCTION	look in GfxBase for NormalDisplayRows value, return it.
		This is, I think, a little better approach than testing
		the PAL flag bit, as we can pick up non-standard screen
		sizes.

SEE ALSO	DisplayColumns();


NAME		DisplayColumns	- get system's idea of lo-res screen width

SYNOPSIS	columns = DisplayColumns();

FUNCTION	Look in GfxBase for NormalDisplayRows, cut it in half
		and return value.

SEE ALSO	Display Rows();

*/

#include <exec/types.h>
#include <graphics/gfxbase.h>

extern struct GfxBase *GfxBase;

int DisplayRows() {  return( GfxBase->NormalDisplayRows ); }

int DisplayColumns() { return( GfxBase->NormalDisplayColumns>>1 ); }

