; IsMessageWaiting.asm	Copyright 1987 Doug Houck
;
; NAME		IsMessageWaiting		test for message at port
; 
; SYNOPSIS
;		boo = IsMessageWaiting( MsgPort );
;
; FUNCTION
;		return non-zero if a message is waiting
;
; INPUT		struct MsgPort *msgport		port to examine
;
; RESULT	non-zero if message waiting at port
;		result in D0
;
	far	code
	far	data
	public	_IsMessageWaiting

_IsMessageWaiting:
	movea.l	4(sp),a0	; a0 -> MsgPort
	movea.l	$14(a0),a0	; a0 = lh_Head
	move.l	(a0),d0		; is head's successor nil?
	rts

	END
